#ifndef MEMORY_H__
#define MEMORY_H__

#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

void *linelet_malloc(size_t size);
void *linelet_calloc(size_t elem_size, size_t elems);
void linelet_free(void *ptr);

#define ALIGNED_STACK __attribute__((aligned(16)))

#ifdef __cplusplus
}
#endif
#endif

