#ifndef QUANTIZER_H__
#define QUANTIZER_H__

#include <stdint.h>
#include <stddef.h>
#include "image.h"

#ifdef __cplusplus
extern "C" {
#endif

void linelet_quantize_samples(int16_t *data, size_t samples, unsigned q);
void linelet_dequantize_samples(int16_t *data, size_t samples, unsigned q);

#ifdef __cplusplus
}
#endif

#endif

