#include "range.h"
#include "timer.h"
#include "rate_allocator.h"

void linelet_range_min_max_line_8_c(struct linelet_precinct_range_level *ranges, const int16_t *src, unsigned precincts, unsigned step)
{
   for (unsigned p = 0; p < precincts; p++, src += step, ranges++)
   {
      int16_t lo = 0;
      int16_t hi = 0;
      for (unsigned x = 0; x < step; x++)
      {
         if (src[x] < lo)
            lo = src[x];
         else if (src[x] > hi)
            hi = src[x];
      }

      ranges->lo = lo;
      ranges->hi = hi;
   }
}

void linelet_range_min_max_line_4_c(struct linelet_precinct_range_level *ranges, const int16_t *src, unsigned precincts)
{
   linelet_range_min_max_line_8_c(ranges, src, precincts, 4);
}

