#include "tests.h"
#include "memory.h"
#include <string.h>

int quantizer_test(void)
{
   int16_t input[9] ALIGNED_STACK = {-3, -2, -1, 0, 1, 2, 3, 4, 5};
   linelet_quantize_samples(input, 9, 2);
   linelet_dequantize_samples(input, 9, 2);

   const int16_t input_ref[9] ALIGNED_STACK = {-4, -4, 0, 0, 0, 0, 4, 4, 4};
   if (memcmp(input_ref, input, sizeof(input)))
      return -1;
   return 0;
}
