#include "quantizer.h"
#include "timer.h"

void linelet_quantize_line_c(int16_t *data, unsigned samples, unsigned q, int16_t adder)
{
   for (unsigned i = 0; i < samples; i++)
      data[i] = (data[i] + adder) >> q;
}

void linelet_dequantize_line_c(int16_t *data, unsigned samples, unsigned q)
{
   for (unsigned i = 0; i < samples; i++)
      data[i] <<= q;
}

