#include "checksum.h"
#include "xxhash.h"

uint32_t linelet_checksum(const uint8_t *data, size_t size)
{
#define TAG(a, b, c, d) \
   (((unsigned)a << 24) | \
    ((unsigned)b << 16) | \
    ((unsigned)c <<  8) | \
    ((unsigned)d <<  0))

   return XXH32(data, size, TAG('L', 'L', 'V', '1'));
}

