%include "inc/x86inc.asm"
%include "inc/x86util.asm"

; void linelet_cpuid(int flag, int flags[4])
cglobal x86_cpuid, 2, 2
   ; Most of these are not callee-save, but play it safe ...
   push rax
   push rbx
   push rcx
   push rdx
   push rsi

   mov rax, r0
   mov rsi, r1
   cpuid

   mov dword [rsi], eax
   mov dword [rsi + 4], ebx
   mov dword [rsi + 8], ecx
   mov dword [rsi + 12], edx

   pop rsi
   pop rdx
   pop rcx
   pop rbx
   pop rax
   RET
   
